summaryrefslogtreecommitdiff
path: root/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2015-10-25 21:00:20 +0100
committerHarald Welte <laforge@gnumonks.org>2015-10-25 21:00:20 +0100
commitfca59bea770346cf1c1f9b0e00cb48a61b44a8f3 (patch)
treea2011270df48d3501892ac1a56015c8be57e8a7d /2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
import of old now defunct presentation slides svn repo
Diffstat (limited to '2005/flow-accounting-lt2005/ltpdk/bin/lt-convert')
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-convert38
1 files changed, 38 insertions, 0 deletions
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert b/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
new file mode 100755
index 0000000..310fbd8
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# lt-convert - converts an XML/DocBook document of LinuxTag flavour to HTML.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.1 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ -z "$1" ]
+then
+ cat << EOF
+Usage: $0 file
+Converts XML/DocBook file to HTML fragment.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call xsltproc
+
+if ${bin}/xsltproc ${xml}/docbook-html.xsl $*
+then
+ :
+else
+ echo "Summary: Document is not conforming to spec."
+fi
personal git repositories of Harald Welte. Your mileage may vary